Adds a c++17 build using the pre-release Ubuntu 18.04.

Though given 00d87f8fe4 I would say this is better than nothing.

(cherry-picked from commit 33ad6be326)
This commit is contained in:
pentarctagon 2018-04-14 04:55:22 -05:00 committed by Pentarctagon
parent 1b94aad416
commit a0adab3fcc
5 changed files with 51 additions and 4 deletions

View file

@ -14,6 +14,9 @@ matrix:
- compiler: gcc
env: TOOL=scons CXXSTD=14 NLS=true LTS=1604 BRANCH=master
- compiler: gcc
env: TOOL=scons CXXSTD=17 NLS=false LTS=1804 BRANCH=master
- compiler: gcc
env: TOOL=scons CXXSTD=14 NLS=false LTS=1604 BRANCH=master OPT=-O0

View file

@ -0,0 +1,19 @@
FROM ubuntu:18.04
RUN apt update
RUN apt install -y -qq apt-utils
# boost
RUN apt install -y -qq libboost-filesystem1.65-dev libboost-filesystem1.65.1 libboost-iostreams1.65-dev libboost-iostreams1.65.1 libboost-locale1.65-dev libboost-locale1.65.1 libboost-regex1.65-dev libboost-regex1.65.1 libboost-serialization1.65-dev libboost-serialization1.65.1 libasio-dev libboost-program-options1.65-dev libboost-program-options1.65.1 libboost-random1.65-dev libboost-random1.65.1 libboost-system1.65-dev libboost-system1.65.1 libboost-test-dev
# SDL
RUN apt install -y -qq libsdl2-2.0-0 libsdl2-dev libsdl2-image-2.0-0 libsdl2-image-dev libsdl2-mixer-2.0-0 libsdl2-mixer-dev
# misc
RUN apt install -y -qq libpng16-16 libpng-dev libreadline6-dev libvorbis-dev libcairo2 libcairo2-dev libpango-1.0-0 libpango1.0-dev libfribidi0 libfribidi-dev libbz2-1.0 libbz2-dev zlib1g zlib1g-dev libpangocairo-1.0-0 libssl-dev
# programs
RUN apt install -y -qq openssl gdb xvfb bzip2 git scons cmake make ccache gcc g++ clang
WORKDIR /home/wesnoth-travis

View file

@ -188,6 +188,12 @@ run_test()
fi
$command 2> error.log
error_code="$?"
# workaround to fix issue in travis+18.04
while grep -q 'Could not initialize SDL_video' error.log; do
echo "Could not initialize SDL_video error, retrying..."
$command 2> error.log
error_code="$?"
done
if check_errs $2 $error_code $1; then
FirstTest=0 #Only start using validcache flag when at least one test has passed without error
handle_error_log 0
@ -376,3 +382,4 @@ else
echo "All tests gave the correct result."
exit 0
fi

View file

@ -1,3 +1,12 @@
#!/bin/bash
set -e
gdb -q -batch -return-child-result -ex "run" -ex "thread apply all bt" -ex "quit" --args ./wesnoth -m --controller 1:ai --controller 2:ai --nogui
gdb -q -batch -return-child-result -ex "run" -ex "thread apply all bt" -ex "quit" --args ./wesnoth -m --controller 1:ai --controller 2:ai --nogui 2> error.log
error_code="$?"
while grep -q 'Could not initialize SDL_video' error.log; do
echo "Could not initialize SDL_video error, retrying..."
gdb -q -batch -return-child-result -ex "run" -ex "thread apply all bt" -ex "quit" --args ./wesnoth -m --controller 1:ai --controller 2:ai --nogui 2> error.log
error_code="$?"
done
cat error.log
exit $error_code

View file

@ -1,3 +1,12 @@
#!/bin/bash
set -e
gdb -q -batch -return-child-result -ex "run" -ex "thread apply all bt" -ex "quit" --args ./boost_unit_tests
gdb -q -batch -return-child-result -ex "run" -ex "thread apply all bt" -ex "quit" --args ./boost_unit_tests 2> error.log
error_code="$?"
while grep -q 'Could not initialize SDL_video' error.log; do
echo "Could not initialize SDL_video error, retrying..."
gdb -q -batch -return-child-result -ex "run" -ex "thread apply all bt" -ex "quit" --args ./boost_unit_tests 2> error.log
error_code="$?"
done
cat error.log
exit $error_code